Wallet Infrastructure
Wallet Infrastructure
Treasury

List spend caps

GET
/v1/limits

Requires scope wallets:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

treasury?unknown

Defaults true. false reads a customer wallet.

Response Body

200application/json

The caps currently in force

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/limits' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "caps": [      {        "entityKey": "string",        "signerId": "string",        "asset": "USDT",        "limitBaseUnits": "5000000000",        "windowSeconds": 2592000,        "onChain": {          "chain": "base",          "safeAddress": "string",          "delegate": "string",          "token": "string"        }      }    ]  },  "status": 200,  "success": true}